GtkDatabox: gtk/gtkdatabox_xyc_graph.h File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
gtk/gtkdatabox_xyc_graph.h File Reference
`#include <gtkdatabox_graph.h>`
Include dependency graph for gtkdatabox_xyc_graph.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | _GtkDataboxXYCGraph
struct | _GtkDataboxXYCGraphClass
## Defines
#define | GTK_DATABOX_TYPE_XYC_GRAPH (gtk_databox_xyc_graph_get_type ())
#define | GTK_DATABOX_XYC_GRAPH(obj)
#define | GTK_DATABOX_XYC_GRAPH_CLASS(klass)
#define | GTK_DATABOX_IS_XYC_GRAPH(obj)
#define | GTK_DATABOX_IS_XYC_GRAPH_CLASS(klass)
#define | GTK_DATABOX_XYC_GRAPH_GET_CLASS(obj)
## Typedefs
typedef struct _GtkDataboxXYCGraph | GtkDataboxXYCGraph
typedef struct _GtkDataboxXYCGraphClass | GtkDataboxXYCGraphClass
typedef struct _GtkDataboxXYCGraphPrivate | GtkDataboxXYCGraphPrivate
## Functions
GType | gtk_databox_xyc_graph_get_type (void)
guint | gtk_databox_xyc_graph_get_length (GtkDataboxXYCGraph *xyc_graph)
gfloat * | gtk_databox_xyc_graph_get_X (GtkDataboxXYCGraph *xyc_graph)
gfloat * | gtk_databox_xyc_graph_get_Y (GtkDataboxXYCGraph *xyc_graph)

## Define Documentation

#define GTK_DATABOX_IS_XYC_GRAPH | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                               GTK_DATABOX_TYPE_XYC_GRAPH))

#define GTK_DATABOX_IS_XYC_GRAPH_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                               GTK_DATABOX_TYPE_XYC_GRAPH))

#define GTK_DATABOX_TYPE_XYC_GRAPH (gtk_databox_xyc_graph_get_type ())

SECTION:gtkdatabox_xyc_graph : An abstract anchestor for all graphs which display xy-values in one color. gtkdatabox_xyc_graph.h : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxBars

GtkDataboxXYCGraphs are an abstract class for displaying XY-data in one color. The values for the data are represented as an array of X values and a second array of Y values. In order to actually display data, you should use one of the derived classes.

#define GTK_DATABOX_XYC_GRAPH | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                               GTK_DATABOX_TYPE_XYC_GRAPH, \
                                               GtkDataboxXYCGraph))

#define GTK_DATABOX_XYC_GRAPH_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                               GTK_DATABOX_TYPE_XYC_GRAPH, \
                                               GtkDataboxXYCGraphClass))

#define GTK_DATABOX_XYC_GRAPH_GET_CLASS | ( |  | obj | ) |

Value:

    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                               GTK_DATABOX_TYPE_XYC_GRAPH, \
                                               GtkDataboxXYCGraphClass))

## Typedef Documentation

typedef struct _GtkDataboxXYCGraph GtkDataboxXYCGraph

GtkDataboxXYCGraph:

GtkDataboxXYCGraphs are an abstract class for displaying XY-data in one color. The values for the data are represented as an array of X values and a second array of Y values. In order to actually display data, you should use one of the derived classes.

typedef struct _GtkDataboxXYCGraphClass GtkDataboxXYCGraphClass

typedef struct _GtkDataboxXYCGraphPrivate GtkDataboxXYCGraphPrivate

GtkDataboxXYCGraphPrivate

A private data structure used by the GtkDataboxXYCGraph. It shields all internal things from developers who are just using the object.

## Function Documentation

guint gtk_databox_xyc_graph_get_length | ( | GtkDataboxXYCGraph * | xyc_graph | ) |

gtk_databox_xyc_graph_get_length: : A GtkDataboxXYCGraph object

Gets the the length of the X and Y values arrays.

Return value: Length of X/Y arrays.

Here is the caller graph for this function:

GType gtk_databox_xyc_graph_get_type | ( | void |  | ) |

gfloat* gtk_databox_xyc_graph_get_X | ( | GtkDataboxXYCGraph * | xyc_graph | ) |

gtk_databox_xyc_graph_get_X: : A GtkDataboxXYCGraph object

Gets the X values of the .

Return value: Pointer to X values

gfloat* gtk_databox_xyc_graph_get_Y | ( | GtkDataboxXYCGraph * | xyc_graph | ) |

gtk_databox_xyc_graph_get_Y: : A GtkDataboxXYCGraph object

Gets the Y values of the .

Return value: Pointer to Y values

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines